#!/bin/bash

default_install() {
    echo 'Installing:'

    sudo apt-get install net-tools htop tree zip unzip neofetch stacer gnome-tweaks trash-cli ncdu flameshot -y
    sudo echo "neofetch" >> /home/*/.bashrc

    sudo snap install simplenote

    install_timeshift
    install_ulauncher
    install_chrome
    install_lsd
}

install_timeshift() {
    sudo add-apt-repository -y ppa:teejee2008/ppa
    sudo apt-get update -y
    sudo apt-get install timeshift -y
}

install_ulauncher() {
    sudo add-apt-repository ppa:agornostal/ulauncher
    sudo apt-get update -y
    sudo apt-get install ulauncher -y
}

install_chrome() {
    wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
    sudo dpkg -i ./google-chrome-stable_current_amd64.deb
    rm google-chrome-stable_current_amd64.deb
    sudo apt-get install chrome-gnome-shell -y
}

install_lsd() {
    mkdir hack
    cd hack
    wget https://github.com/ryanoasis/nerd-fonts/releases/download/v2.1.0/Hack.zip
    unzip Hack.zip
    cd ..

    sudo cp -r hack /usr/share/fonts/
    sudo chmod -R 775 /usr/share/fonts/hack 
    rm -r hack
    wget https://github.com/Peltoche/lsd/releases/download/0.19.0/lsd_0.19.0_amd64.deb
    sudo dpkg -i lsd_0.19.0_amd64.deb
    sudo rm lsd_0.19.0_amd64.deb
    sudo echo "alias ls='lsd'" >> /home/*/.bashrc
}
